//case is not complete
module module1_latch2(
    input       data1,
    input       data2,
    input [1:0] sel ,
    output reg  q ) ;

    always @(*) begin
        case(sel)
            2'b00:  q = data1 ;
            2'b01:  q = data2 ;
        endcase
    end

endmodule // module1_latch2

//way1 to modify
module module1_latch2_m1(
    input       data1,
    input       data2,
    input [1:0] sel ,
    output reg  q ) ;

    always @(*) begin
        case(sel)
            2'b00:    q = data1 ;
            2'b01:    q = data2 ;
            default:  q = 1'b0 ;
        endcase
    end
endmodule // module1_latch2

//way2 to modify
module module1_latch2_m2(
    input       data1,
    input       data2,
    input [1:0] sel ,
    output reg  q ) ;

    always @(*) begin
        case(sel)
            2'b00:  q = data1 ;
            2'b01:  q = data2 ;
            2'b10, 2'b11 :
                    q = 1'b0 ;
        endcase
    end

endmodule // module1_latch2
